Status: Resolved Priority: Should have
Author: Bastian Waidelich Category:
Created: 2013-11-05 Assigned To: Bastian Waidelich
Updated: 2013-12-04 Due date:
Subject: Revise Neos Routes
Description

The Routes.yaml of the TYPO3.Neos package contains some too generic rules. This leads to the situation that the ".html" suffix can
be omitted from all frontend URIs creating lots of duplicate cache entries and "non-canonical" URLs.
Besides, we use appendExceedingArguments far too often restricting the future flexibility.

We should make use of new Routing features such as "nested subRoutes" and "HTTP method constraints" to make the routing setup
easier to adjust

Associated revisions
Revision ec9a5a7e - 2013-11-11 14:24 - Bastian Waidelich

[TASK] Refactor node RoutePartHandler

The FrontendNodeRoutePartHandler does quite a lot, yet it's tests are
really sparse.

This patch set refactors the route part handler and increases the code
coverage of the corresponding unit tests from 20% to 97%.

It also removes the singleton scope annotations because RouteParts
are not stateless.

Change-Id: I26517fd0506cc1074b90e84e5a465001421ae36c
Related: #53347
Reviewed-on: https://review.typo3.org/25176
Tested-by: Mr. Hudson
Reviewed-by: Bastian Waidelich
Tested-by: Bastian Waidelich

Revision 4da306ae - 2013-11-21 12:17 - Bastian Waidelich

[BUGFIX] Make "logout" a POST request

Previously the logout was triggered by a link in the user menu resulting
in a GET request.
With this change the link is replaced by a small form creating a POST
request instead.

Change-Id: Ie56f98a1046ff461f5e053bcd4f5e12aad3bf2ae
Related: #53347
Reviewed-on: https://review.typo3.org/25564
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Reviewed-by: Bastian Waidelich
Tested-by: Bastian Waidelich

Revision 35114d7a - 2013-11-27 18:03 - Bastian Waidelich

[TASK] Revise Routes

Make use of new Routing features such as nested subRoutes and
HTTP method constraints to make it easier to adjust the routing setup.

Change-Id: Ic80e926420c9585a3b5b164ce79d04cc4fad3d35
Related: #53347
Reviewed-on: https://review.typo3.org/25562
Reviewed-by: Aske Ertmann
Tested-by: Bastian Waidelich
Reviewed-by: Bastian Waidelich

Revision b1bb2c5d - 2013-11-28 14:27 - Bastian Waidelich

[BUGFIX] URLs must point to document nodes

Currently the ``FrontendNodeRoutePartHandler`` matches and resolves any
node independently from it's type.
This leads to the situation that one can browse content element nodes
directly breaking menus and styling.

This change adjusts the RoutePartHandler to only accept NodeTypes
extending ``TYPO3.Neos:Document`` such as ``TYPO3.Neos:Page`` or custom
document node types.
It also adjusts the structure inspector that used to create links for
every node.

Change-Id: Ic57a466a31ab104810e1a9709c5ee6d5f978aadf
Related: #53347
Reviewed-on: https://review.typo3.org/25609
Reviewed-by: Bastian Waidelich
Tested-by: Bastian Waidelich

History
#1 - 2013-11-21 10:26 - Bastian Waidelich
- Status changed from New to Accepted

#2 - 2013-12-04 18:35 - Bastian Waidelich
- Status changed from Accepted to Resolved
- Target version set to 2597
- % Done changed from 0 to 100

#3 - 2013-12-04 18:40 - Bastian Waidelich
- Target version changed from 2597 to 1.0 beta 2
